var numFtsNodes = 16;
var ftsnodes = new Array(numFtsNodes);

ftsnodes[0] = new FTSNode(0, "J", 8);
ftsnodes[0].links = new Array(8);
ftsnodes[0].links[0] = 2032;
ftsnodes[0].links[1] = 2033;
ftsnodes[0].links[2] = 2054;
ftsnodes[0].links[3] = 2055;
ftsnodes[0].links[4] = 2292;
ftsnodes[0].links[5] = 2293;
ftsnodes[0].links[6] = 2315;
ftsnodes[0].links[7] = 2316;
ftsnodes[1] = new FTSNode(1, "J]TH", 4);
ftsnodes[1].links = new Array(4);
ftsnodes[1].links[0] = 2292;
ftsnodes[1].links[1] = 2293;
ftsnodes[1].links[2] = 2315;
ftsnodes[1].links[3] = 2316;
ftsnodes[2] = new FTSNode(2, "JANUARY", 1);
ftsnodes[2].links = new Array(1);
ftsnodes[2].links[0] = 1553;
ftsnodes[3] = new FTSNode(3, "JAPAN", 2);
ftsnodes[3].links = new Array(2);
ftsnodes[3].links[0] = 1535;
ftsnodes[3].links[1] = 1715;
ftsnodes[4] = new FTSNode(4, "JAPANESE", 2);
ftsnodes[4].links = new Array(2);
ftsnodes[4].links[0] = 218;
ftsnodes[4].links[1] = 1720;
ftsnodes[5] = new FTSNode(5, "JOB", 1);
ftsnodes[5].links = new Array(1);
ftsnodes[5].links[0] = 3687;
ftsnodes[6] = new FTSNode(6, "JOIN", 15);
ftsnodes[6].links = new Array(15);
ftsnodes[6].links[0] = 364;
ftsnodes[6].links[1] = 374;
ftsnodes[6].links[2] = 815;
ftsnodes[6].links[3] = 818;
ftsnodes[6].links[4] = 907;
ftsnodes[6].links[5] = 1235;
ftsnodes[6].links[6] = 2531;
ftsnodes[6].links[7] = 2876;
ftsnodes[6].links[8] = 2887;
ftsnodes[6].links[9] = 2888;
ftsnodes[6].links[10] = 2908;
ftsnodes[6].links[11] = 2909;
ftsnodes[6].links[12] = 2994;
ftsnodes[6].links[13] = 2996;
ftsnodes[6].links[14] = 3047;
ftsnodes[7] = new FTSNode(7, "JOIN_VOLUM", 15);
ftsnodes[7].links = new Array(15);
ftsnodes[7].links[0] = 2805;
ftsnodes[7].links[1] = 2806;
ftsnodes[7].links[2] = 2807;
ftsnodes[7].links[3] = 2808;
ftsnodes[7].links[4] = 2809;
ftsnodes[7].links[5] = 2810;
ftsnodes[7].links[6] = 2811;
ftsnodes[7].links[7] = 2889;
ftsnodes[7].links[8] = 2975;
ftsnodes[7].links[9] = 2976;
ftsnodes[7].links[10] = 2977;
ftsnodes[7].links[11] = 2989;
ftsnodes[7].links[12] = 2990;
ftsnodes[7].links[13] = 3030;
ftsnodes[7].links[14] = 3031;
ftsnodes[8] = new FTSNode(8, "JPN", 2);
ftsnodes[8].links = new Array(2);
ftsnodes[8].links[0] = 1535;
ftsnodes[8].links[1] = 1715;
ftsnodes[9] = new FTSNode(9, "JUMP", 3);
ftsnodes[9].links = new Array(3);
ftsnodes[9].links[0] = 71;
ftsnodes[9].links[1] = 3711;
ftsnodes[9].links[2] = 4384;
ftsnodes[10] = new FTSNode(10, "JUMPI", 1);
ftsnodes[10].links = new Array(1);
ftsnodes[10].links[0] = 35;
ftsnodes[11] = new FTSNode(11, "JUST", 31);
ftsnodes[11].links = new Array(31);
ftsnodes[11].links[0] = 138;
ftsnodes[11].links[1] = 139;
ftsnodes[11].links[2] = 140;
ftsnodes[11].links[3] = 680;
ftsnodes[11].links[4] = 702;
ftsnodes[11].links[5] = 728;
ftsnodes[11].links[6] = 753;
ftsnodes[11].links[7] = 783;
ftsnodes[11].links[8] = 793;
ftsnodes[11].links[9] = 1142;
ftsnodes[11].links[10] = 1192;
ftsnodes[11].links[11] = 1202;
ftsnodes[11].links[12] = 1303;
ftsnodes[11].links[13] = 1360;
ftsnodes[11].links[14] = 1680;
ftsnodes[11].links[15] = 1683;
ftsnodes[11].links[16] = 1702;
ftsnodes[11].links[17] = 1705;
ftsnodes[11].links[18] = 2162;
ftsnodes[11].links[19] = 2655;
ftsnodes[11].links[20] = 3058;
ftsnodes[11].links[21] = 3137;
ftsnodes[11].links[22] = 3369;
ftsnodes[11].links[23] = 3378;
ftsnodes[11].links[24] = 4222;
ftsnodes[11].links[25] = 4477;
ftsnodes[11].links[26] = 4484;
ftsnodes[11].links[27] = 4520;
ftsnodes[11].links[28] = 512;
ftsnodes[11].links[29] = 1116;
ftsnodes[11].links[30] = 2100;
ftsnodes[12] = new FTSNode(12, "JUST_H", 1);
ftsnodes[12].links = new Array(1);
ftsnodes[12].links[0] = 1325;
ftsnodes[13] = new FTSNode(13, "JUST_V", 1);
ftsnodes[13].links = new Array(1);
ftsnodes[13].links[0] = 1325;
ftsnodes[14] = new FTSNode(14, "JUSTIFI", 18);
ftsnodes[14].links = new Array(18);
ftsnodes[14].links[0] = 10;
ftsnodes[14].links[1] = 1192;
ftsnodes[14].links[2] = 1197;
ftsnodes[14].links[3] = 1199;
ftsnodes[14].links[4] = 1201;
ftsnodes[14].links[5] = 1210;
ftsnodes[14].links[6] = 1212;
ftsnodes[14].links[7] = 1316;
ftsnodes[14].links[8] = 1317;
ftsnodes[14].links[9] = 2746;
ftsnodes[14].links[10] = 2753;
ftsnodes[14].links[11] = 2755;
ftsnodes[14].links[12] = 2758;
ftsnodes[14].links[13] = 3232;
ftsnodes[14].links[14] = 3234;
ftsnodes[14].links[15] = 3260;
ftsnodes[14].links[16] = 3574;
ftsnodes[14].links[17] = 3575;
ftsnodes[15] = new FTSNode(15, "JUSTIFICATION", 9);
ftsnodes[15].links = new Array(9);
ftsnodes[15].links[0] = 1197;
ftsnodes[15].links[1] = 1199;
ftsnodes[15].links[2] = 1316;
ftsnodes[15].links[3] = 1317;
ftsnodes[15].links[4] = 1325;
ftsnodes[15].links[5] = 3156;
ftsnodes[15].links[6] = 3574;
ftsnodes[15].links[7] = 3575;
ftsnodes[15].links[8] = 4328;
